<script lang="ts">
import Vue from 'vue';
import SlpContainer from './container.vue';

export default Vue.extend({
  name: 'SlpDisclaimer',
  components: {
    SlpContainer,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer class="slp-mb-64">
    <div role="alert" class="slpAlert">
      <SlpTypography v-if="data.title" tag="h3" variant="body3" class="slp-mb-4"
        >{{ data.title }}
      </SlpTypography>
      <div v-html="$md.render(data.text)"></div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.slpAlert {
  background-color: $color-secondary-100;
  font-style: italic;
  padding: $spacing-16;
}
</style>
